Package org.apache.tapestry5.services.javascript

# Class StylesheetOptions

java.lang.Object
org.apache.tapestry5.services.javascript.StylesheetOptions

public final class StylesheetOptions extends Object
Provides options to describe options associated with importing a stylesheet onto a page. Stylesheet options are immutable.

Since:
  5.2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `ajaxInsertionPoint`
  If true, then this stylesheet is the insertion point for Ajax operations; any added CSS links will be inserted before this link.
  `final String`
  `condition`
  The Internet Explorer condition associated with the link.
  `final String`
  `media`
  The media associated with this stylesheet, i.e., "print".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StylesheetOptions()`
  Returns a new options object with media as null (that is, unspecified), no condition, and not the Ajax insertion point.
  `StylesheetOptions(String media)`
  `StylesheetOptions(String media, String condition)`
  Deprecated.
  In 5.3, may be removed in a later release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StylesheetOptions`
  `asAjaxInsertionPoint()`
  Returns a new options object with the `ajaxInsertionPoint` flag set to true.
  `boolean`
  `equals(Object obj)`
  `String`
  `toString()`
  `StylesheetOptions`
  `withCondition(String condition)`
  Returns a new options object with the indicated Internet Explorer condition.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### media

    public final String media
    The media associated with this stylesheet, i.e., "print". Becomes the media attribute of the <link> tag. May be null.

  - ### condition

    public final String condition
    The Internet Explorer condition associated with the link. When non-blank, the <link> element will be written inside a specially formatted comment interpreted by Internet Explorer. Usually null, and only used for full page renders (not partial page renders).
    See Also:
      - http://en.wikipedia.org/wiki/Conditional_comment

  - ### ajaxInsertionPoint

    public boolean ajaxInsertionPoint
    If true, then this stylesheet is the insertion point for Ajax operations; any added CSS links will be inserted before this link. Only at most one CSS link should be the insertion point. Only used for full page renders (not partial page renders). When this is true, the `<link>` element's ref attribute is wrtten out as "stylesheet ajax-insertion-point".

- ## Constructor Details

  - ### StylesheetOptions

    public StylesheetOptions()
    Returns a new options object with media as null (that is, unspecified), no condition, and not the Ajax insertion point.

  - ### StylesheetOptions

    public StylesheetOptions(String media)

  - ### StylesheetOptions

    public StylesheetOptions(String media, String condition)
    Deprecated.
    In 5.3, may be removed in a later release. Use `StylesheetOptions(String)` and `withCondition(String)`} instead.

- ## Method Details

  - ### withCondition

    public StylesheetOptions withCondition(String condition)
    Returns a new options object with the indicated Internet Explorer condition. @since 5.3

  - ### asAjaxInsertionPoint

    public StylesheetOptions asAjaxInsertionPoint()
    Returns a new options object with the `ajaxInsertionPoint` flag set to true.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`